/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.ui;

import android.content.Context;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.PopupMenu;
import android.widget.PopupMenu.OnMenuItemClickListener;

import net.micode.notes.R;

public class DropdownMenu {
    // 声明一个Button变量
    private Button mButton;
    // 声明一个PopupMenu变量
    private PopupMenu mPopupMenu;
    // 声明一个Menu变量
    private Menu mMenu;

    // 构造函数，传入上下文、Button和菜单ID
    public DropdownMenu(Context context, Button button, int menuId) {
        // 将传入的Button赋值给mButton
        mButton = button;
        // 为mButton设置背景资源
        mButton.setBackgroundResource(R.drawable.dropdown_icon);
        // 创建一个PopupMenu，传入上下文和mButton
        mPopupMenu = new PopupMenu(context, mButton);
        // 获取mPopupMenu的Menu
        mMenu = mPopupMenu.getMenu();
        // 为mMenu设置菜单ID
        mPopupMenu.getMenuInflater().inflate(menuId, mMenu);
        // 为mButton设置点击事件
        mButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                // 显示mPopupMenu
                mPopupMenu.show();
            }
        });
    }

    // 设置点击事件
    public void setOnDropdownMenuItemClickListener(OnMenuItemClickListener listener) {
        // 如果mPopupMenu不为空
        if (mPopupMenu != null) {
            // 为mPopupMenu设置点击事件
            mPopupMenu.setOnMenuItemClickListener(listener);
        }
    }

    // 查找菜单项
    public MenuItem findItem(int id) {
        // 返回mMenu中id对应的菜单项
        return mMenu.findItem(id);
    }

    // 设置标题
    public void setTitle(CharSequence title) {
        // 设置mButton的文本
        mButton.setText(title);
    }
}
